> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentphone.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentphone.ai/_mcp/server.

# Get Conversation

GET https://api.agentphone.ai/v1/conversations/{conversation_id}

Get a conversation with its recent messages.

Reference: https://docs.agentphone.ai/api-reference/conversations/get-conversation-v-1-conversations-conversation-id-get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `conversation_id` (string, required)

### Query parameters

- `message_limit` (integer, optional, default: 50)

## Response

### 200

Successful Response

- `id` (string, required)
- `phoneNumberId` (string, required)
- `phoneNumber` (string, required)
- `participant` (string, required)
- `lastMessageAt` (datetime, required)
- `messageCount` (integer, required)
- `createdAt` (datetime, required)
- `messages` (list of MessageInConversation, required)
- `agentId` (string, optional, nullable)
- `channel` (string, optional, default: native)
- `isGroup` (boolean, optional, default: false)
- `groupId` (string, optional, nullable)
- `groupName` (string, optional, nullable)
- `groupIconUrl` (string, optional, nullable)
- `participants` (list of GroupParticipant, optional, nullable)
- `metadata` (ConversationDetailMetadata, optional, nullable)
- `capabilities` (ConversationCapabilities, optional, nullable) — What the caller can do in this conversation, derived from its number's provider and compliance state. Drives the dashboard composer/reaction UI.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### MessageInConversation

- `id` (string, required)
- `body` (string, required)
- `fromNumber` (string, required)
- `toNumber` (string, required)
- `direction` (string, required)
- `receivedAt` (datetime, required)
- `senderIdentifier` (string, optional, nullable)
- `channel` (string, optional, nullable)
- `status` (string, optional, nullable)
- `failureReason` (string, optional, nullable)
- `errorCode` (string, optional, nullable)
- `deliveredAt` (datetime, optional, nullable)
- `readAt` (datetime, optional, nullable)
- `mediaUrl` (string, optional, nullable)
- `mediaUrls` (list of string, optional, default: [])
- `content` (MessageInConversationContent, optional, nullable)
- `reactions` (list of ReactionInConversation, optional, default: [])
- `replyTo` (ReplyToInConversation, optional, nullable)

### GroupParticipant

A member of a group chat, mirrored from Conversation.participants.

- `identifier` (string, required)
- `name` (string, optional, nullable)

### ConversationDetailMetadata

### ConversationCapabilities

What the caller can do in this conversation, derived from its number's provider and compliance state. Drives the dashboard composer/reaction UI.

- `canSendMessages` (boolean, required)
- `media` (boolean, required)
- `reactions` (boolean, required)
- `emojiReactions` (boolean, required)
- `sendDisabledReason` (string, optional, nullable)
- `sendChannel` (string, optional, nullable)
- `availableChannels` (list of string, optional, default: [])
- `mediaChannels` (list of string, optional, default: [])
- `whatsappWindowExpiresAt` (datetime, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### MessageInConversationContent

### ReactionInConversation

- `id` (string, required)
- `reactionType` (string, required)
- `fromNumber` (string, required)
- `direction` (string, required)
- `createdAt` (datetime, required)

### ReplyToInConversation

- `messageId` (string, required)
- `message` (string, required)
- `mediaUrls` (list of string, optional, default: [])

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "id": "string",
  "phoneNumberId": "string",
  "phoneNumber": "string",
  "participant": "string",
  "lastMessageAt": "2024-01-15T09:30:00Z",
  "messageCount": 1,
  "createdAt": "2024-01-15T09:30:00Z",
  "messages": [
    {
      "id": "string",
      "body": "string",
      "fromNumber": "string",
      "toNumber": "string",
      "direction": "string",
      "receivedAt": "2024-01-15T09:30:00Z",
      "senderIdentifier": "string",
      "channel": "string",
      "status": "string",
      "failureReason": "string",
      "errorCode": "string",
      "deliveredAt": "2024-01-15T09:30:00Z",
      "readAt": "2024-01-15T09:30:00Z",
      "mediaUrl": "string",
      "mediaUrls": [
        "string"
      ],
      "content": {},
      "reactions": [
        {
          "id": "string",
          "reactionType": "string",
          "fromNumber": "string",
          "direction": "string",
          "createdAt": "2024-01-15T09:30:00Z"
        }
      ],
      "replyTo": {
        "messageId": "string",
        "message": "string",
        "mediaUrls": [
          "string"
        ]
      }
    }
  ],
  "agentId": "string",
  "channel": "native",
  "isGroup": false,
  "groupId": "string",
  "groupName": "string",
  "groupIconUrl": "string",
  "participants": [
    {
      "identifier": "string",
      "name": "string"
    }
  ],
  "metadata": {},
  "capabilities": {
    "canSendMessages": true,
    "media": true,
    "reactions": true,
    "emojiReactions": true,
    "sendDisabledReason": "string",
    "sendChannel": "string",
    "availableChannels": [
      "string"
    ],
    "mediaChannels": [
      "string"
    ],
    "whatsappWindowExpiresAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.agentphone.ai/v1/conversations/conversation_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentphone.ai/v1/conversations/conversation_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentphone.ai/v1/conversations/conversation_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentphone.ai/v1/conversations/conversation_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.agentphone.ai/v1/conversations/conversation_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.agentphone.ai/v1/conversations/conversation_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentphone.ai/v1/conversations/conversation_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentphone.ai/v1/conversations/conversation_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```